#pragma once

class DL_Dxf;
class MxWriteContext
{
public:
	MxWriteContext(McDbDatabase* pMxDataBase,
		DL_Dxf*			pDxf);

	virtual ~MxWriteContext(void);

	McDbDatabase* GetDatabase() const
	{
		return m_pMxDataBase;
	}


	DL_Dxf*	      GetDxf() const
	{
		return m_pDxf;
	}

private:
	McDbDatabase*	m_pMxDataBase;
	DL_Dxf*			m_pDxf;
};
